import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const sum = (accumulator, currentValue) =>
  accumulator + currentValue;
const transform = (rawData) => {
  // const countries = rawData.filter(
  //   (d) => !d['Province/State']
  // );

  const recentDate = rawData.columns.slice(-1);
  const dateCols = rawData.columns.slice(4);
  return dateCols.map(col => ({
  	date: new Date(col),
  	death: rawData.map(d => +d[col]).reduce(sum, 0)	
  }))

};
const csvUrl =
  'https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_confirmed_global.csv';

export const useData = () => {
  const [data, setData] = useState(null);
  useEffect(() => {
    csv(csvUrl).then((rawData) =>
      setData(transform(rawData))
    );
  }, []);
  console.log(data);
  return data;
};
